| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Properties | Private Attributes | List of all members
IG.Gr.GraphicPrimitive Class Reference

Abstract base class for all graphic primitives such as lines, facets, etc. More...

Inheritance diagram for IG.Gr.GraphicPrimitive:
[legend]
Collaboration diagram for IG.Gr.GraphicPrimitive:
[legend]

## Properties
virtual GraphicObject | Parent`[get, set]`
| Returns the graphic object that directly contains this primitive. More...
abstract int | NumCoordinates`[get]`
| Get or set the co-ordinate No. i of this graphic primitive. More...
abstract vec3 | this[int i]`[get, set]`
| Returns the co-ordinate No. i of the graphic primitive. More...
virtual vec3 | Center`[get]`
| Reyurns the center of mass of all co-ordinates of this primitive. More...
virtual GrPrimitiveSettings | Settings`[get, protected set]`
| Gets the primitive's internal graphic properties (such as color, etc.) More...
virtual GrPrimitiveSettings | EffectiveSettings`[get]`

## Private Attributes
GraphicObject | _parent = null
GrPrimitiveSettings | _settings = null

## Detailed Description

Abstract base class for all graphic primitives such as lines, facets, etc.

## Member Data Documentation

GraphicObject IG.Gr.GraphicPrimitive._parent = null
| private

GrPrimitiveSettings IG.Gr.GraphicPrimitive._settings = null
| private

## Property Documentation

virtual GraphicObject IG.Gr.GraphicPrimitive.Parent
| get set

Returns the graphic object that directly contains this primitive.

abstract int IG.Gr.GraphicPrimitive.NumCoordinates
| get

Get or set the co-ordinate No. i of this graphic primitive.

abstract vec3 IG.Gr.GraphicPrimitive.this[int i]
| get set

Returns the co-ordinate No. i of the graphic primitive.

virtual vec3 IG.Gr.GraphicPrimitive.Center
| get

Reyurns the center of mass of all co-ordinates of this primitive.

virtual GrPrimitiveSettings IG.Gr.GraphicPrimitive.Settings
| get protected set

Gets the primitive's internal graphic properties (such as color, etc.)

virtual GrPrimitiveSettings IG.Gr.GraphicPrimitive.EffectiveSettings
| get

The documentation for this class was generated from the following file:

- igbase/graphics/GrObjects.cs